View Issue Details

IDCategoryLast Update
0002108bugs2008-03-05 22:47
Reporterjohne53Assigned ToNoStar 
Reproducibilityalways 
Status closedResolutionfixed 
Product VersionSVN/2.0-ongoing 
Fixed in VersionSVN/2.0-ongoing 
Summary0002108: Orphaned dialog box
Description1) Launch Ardour and load a session.
2) Open the Theme Manager dialog (a non-modal dialog).
3) Go back to the session and close it (Session->Close).

The Theme Manager dialog remains 'orphaned' on-screen (i.e. it's physically visible but non-functional).
TagsNo tags attached.

Activities

2008-03-04 05:19

 

ardour-fix-orphaned-theme-manager.patch (450 bytes)
Index: gtk2_ardour/ardour_ui_dialogs.cc
===================================================================
--- gtk2_ardour/ardour_ui_dialogs.cc	(revision 3134)
+++ gtk2_ardour/ardour_ui_dialogs.cc	(working copy)
@@ -203,6 +203,9 @@
 	big_clock.set_session (0);
 	preroll_clock.set_session (0);
 	postroll_clock.set_session (0);
+	
+	/* Close the theme manager */
+	theme_manager->hide ();
 
 	if (option_editor) {
 		option_editor->set_session (0);

NoStar

2008-03-05 22:47

developer   ~0004765

Applied Daves patch

Issue History

Date Modified Username Field Change
2008-03-02 08:36 johne53 New Issue
2008-03-04 05:19 puddingpimp File Added: ardour-fix-orphaned-theme-manager.patch
2008-03-05 22:47 NoStar Status new => resolved
2008-03-05 22:47 NoStar Fixed in Version => SVN/2.0-ongoing
2008-03-05 22:47 NoStar Resolution open => fixed
2008-03-05 22:47 NoStar Assigned To => NoStar
2008-03-05 22:47 NoStar Note Added: 0004765
2008-03-05 22:47 NoStar Status resolved => closed